ru.bitel.bgbilling.modules.inet.access.sa.event

## Class InetSaAccountingEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.PartitionedQueueEvent
      - - ru.bitel.bgbilling.modules.inet.access.sa.event.InetSaAccountingEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class InetSaAccountingEvent
      extends PartitionedQueueEvent

  Задание на обработку старта или стопа сессии (скриптом). QueueEvent
  Author:
    amir
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `TYPE_START`
    `static int` | `TYPE_STOP`

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `InetSaAccountingEvent()`
    `` | `InetSaAccountingEvent(int moduleId, int contractId, InetConnection connection, int type)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `InetConnection` | `getConnection()`
    `protected java.lang.String` | `getPackageName()`
    `protected int` | `getPartitionValue()`
    `int` | `getType()`
    `protected void` | `prepareMessage(javax.jms.Message message)`
    `protected void` | `toString(java.lang.StringBuilder sb)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.PartitionedQueueEvent

      `getDestination, getDestinationMask`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_START

          public static final int TYPE_START

      See Also:
        Constant Field Values

    - #### TYPE_STOP

          public static final int TYPE_STOP

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### InetSaAccountingEvent

          protected InetSaAccountingEvent()

    - #### InetSaAccountingEvent

          public InetSaAccountingEvent(int moduleId,
                                       int contractId,
                                       InetConnection connection,
                                       int type)

  - ### Method Detail

    - #### prepareMessage

          protected void prepareMessage(javax.jms.Message message)
                                 throws javax.jms.JMSException

      Overrides:
        `prepareMessage` in class `Event`
      Throws:
        `javax.jms.JMSException`

    - #### getConnection

          public InetConnection getConnection()

    - #### getType

          public int getType()

    - #### toString

          protected void toString(java.lang.StringBuilder sb)

      Overrides:
        `toString` in class `Event`

    - #### getPackageName

          protected java.lang.String getPackageName()

      Specified by:
        `getPackageName` in class `PartitionedQueueEvent`

    - #### getPartitionValue

          protected int getPartitionValue()

      Specified by:
        `getPartitionValue` in class `PartitionedQueueEvent`